#
# Conditional build:
%bcond_with	static_libs	# static library
#
Summary:	Wayland EGL External Platform library
Summary(pl.UTF-8):	Biblioteka platformy zewnętrznej Wayland EGL
Name:		egl-wayland
Version:	1.1.19
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/NVIDIA/egl-wayland/releases
Source0:	https://github.com/NVIDIA/egl-wayland/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	dc73e841f45593922bc3ad9f8fc6078c
Patch0:		%{name}-pc.patch
URL:		https://github.com/NVIDIA/egl-wayland
BuildRequires:	EGL-devel >= 1.5
BuildRequires:	EGL-devel < 2
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	eglexternalplatform >= 1.1
BuildRequires:	eglexternalplatform < 2
BuildRequires:	libdrm-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	wayland-devel >= 1.15
BuildRequires:	wayland-egl-devel >= 1.15
BuildRequires:	wayland-protocols >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# already handled in m4/ax_check_enable_debug.m4 (only in autotools build, not in meson)
%define		filterout_cpp	-DNDEBUG

%description
This is a work-in-progress implementation of a EGL External Platform
library to add client-side Wayland support to EGL on top of EGLDevice
and EGLStream families of extensions.

This library implements an EGL External Platform interface to work
along with EGL drivers that support the external platform mechanism.

%description -l pl.UTF-8
Ten pakiet zawiera będącą w trakcie tworzenia implementację biblioteki
platformy zewnętrznej EGL dodającą obsługę strony klienta Wayland do
EGL w oparciu o rodziny rozszerzeń EGLDevice i EGLStream.

Ta biblioteka implementuje interfejs EGL External Platform do
współpracy ze sterownikami EGL obsługującymi mechanizm platform
zewnętrznych.

%package devel
Summary:	Header files for Wayland EGL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Wayland EGL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	eglexternalplatform >= 1.0
Requires:	eglexternalplatform < 2

%description devel
Header files for Wayland EGL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Wayland EGL.

%package static
Summary:	Static Wayland EGL library
Summary(pl.UTF-8):	Statyczna biblioteka Wayland EGL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wayland EGL library.

%description static -l pl.UTF-8
Statyczna biblioteka Wayland EGL.

%prep
%setup -q
%patch -P0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_libdir}/libnvidia-egl-wayland.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnvidia-egl-wayland.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnvidia-egl-wayland.so
%{_pkgconfigdir}/wayland-eglstream.pc
# protocol description
%{_datadir}/wayland-eglstream
%{_npkgconfigdir}/wayland-eglstream-protocols.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnvidia-egl-wayland.a
%endif
%changelog
* Fri Apr 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/egl-wayland.git;a=log;h=master

* Fri Apr 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 9bd5193
- updated to 1.1.19

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> cf584b0
- updated to 1.1.18

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> b7a0c1c
- use patch -P

* Wed Aug 28 2024 Jakub Bogusz <qboosh@pld-linux.org> fc3c02f
- updated to 1.1.16

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 30bd1eb
- updated to 1.1.14

* Thu Sep 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 4f08b5c
- updated to 1.1.12

* Mon Nov 28 2022 Jan Palus <atler@pld-linux.org> 639fb70
- up to 1.1.11

* Fri Oct 29 2021 Jan Palus <atler@pld-linux.org> abb2c3f
- up to 1.1.9

* Fri Jul 09 2021 Jan Palus <atler@pld-linux.org> b508296
- up to 1.1.7

* Mon Mar 08 2021 Jan Palus <atler@pld-linux.org> ba00481
- up to 1.1.6

* Thu Jun 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 39ab6e1
- new
- added pc patch to move arch-specific .pc file to arch-specific pkgconfig dir

